rq.wfit {quantreg} | R Documentation

## Function to choose method for Weighted Quantile Regression

### Description

Weight the data and then call the chosen fitting algorithm.

### Usage

    rq.wfit(x, y, tau=0.5, weights, method="br", ...)

### Arguments

`x` | the design matrix
`y` | the response variable
`tau` | the quantile desired, if tau lies outside (0,1) the whole process is estimated.
`weights` | weights used in the fitting
`method` | method of computation: "br" is Barrodale and Roberts exterior point "fn" is the Frisch-Newton interior point method.
`...` | Optional arguments passed to fitting routine.

### See Also

`rq` `rq.fit.br` `rq.fit.fnb`

[Package quantreg version 5.33 Index]